%global packname  RUnit
%global Rvers     2.10.0

Name:             R-%{packname}
Version:          0.4.25
Release:          1%{?dist}
Summary:          R Unit test framework

Group:            Applications/Engineering 
License:          GPLv2 
URL:              http://cran.r-project.org/web/packages/RUnit/index.html
Source0:          http://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:        noarch

Requires:         R >= %{Rvers} R-utils R-methods
Requires(post):   R
Requires(postun): R
BuildRequires:    R-devel >= %{Rvers} tetex-latex R-utils R-methods

%description
R functions implementing a standard Unit Testing framework, with additional 
code inspection and report generation tools

%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf %{buildroot}


#noarch
mkdir -p %{buildroot}%{_datadir}/R/library 
R CMD INSTALL %{packname} -l %{buildroot}%{_datadir}/R/library
# Clean up in advance of check
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -rf %{buildroot}%{_datadir}/R/library/R.css

%check
%{_bindir}/R CMD check %{packname}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)

#noarch
%dir %{_datadir}/R/library/%{packname}

%doc %{_datadir}/R/library/%{packname}/doc
%doc %{_datadir}/R/library/%{packname}/DESCRIPTION
%doc %{_datadir}/R/library/%{packname}/html
%doc %{_datadir}/R/library/%{packname}/COPYING
%doc %{_datadir}/R/library/%{packname}/NEWS

%{_datadir}/R/library/%{packname}/R
%{_datadir}/R/library/%{packname}/examples
%{_datadir}/R/library/%{packname}/share
%{_datadir}/R/library/%{packname}/help
%{_datadir}/R/library/%{packname}/Meta
%{_datadir}/R/library/%{packname}/INDEX
%{_datadir}/R/library/%{packname}/NAMESPACE
%{_datadir}/R/library/%{packname}/unitTests

%changelog
* Thu Dec 17 2009 pingou <pingou@pingoured.fr> 0.4.25-1
- Update to 0.4.25

* Sat Nov 21 2009 pingou <pingou@pingoured.fr> 0.4.22-3
- Rebuild for R-2.10.0
- Remove %%post and %%postun
- Adapt %%files to R-2.10.0

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.22-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Jun 04 2009 pingou <pingou@pingoured.fr> 0.4.22-1
- Update to 0.4.22

* Fri Apr 03 2009 pingou <pingou@pingoured.fr> 0.4.21-3
- The package should not list all the file twice...

* Wed Apr 01 2009 pingou <pingou@pingoured.fr> 0.4.21-2
- Remove CONTENTS INDEX and NAMESPACE from %%doc
- Use the macro in Source0

* Tue Feb 24 2009 pingou <pingou -AT- pingoured.fr> 0.4.21-1
- initial package for Fedora
